#include "BeDC.h"

int main(){
	//Create the BeDC Object
	BeDC dc("My Application");
	
	//Normal Message
	dc.SendMessage("This is a test message");
	
	//Send a BPoint
	BPoint point(40,120);
	dc.SendPoint(point);
	
	//Send a BRect
	BRect rect(80,60,130,140);
	dc.SendRect(rect);
	
	//Send an int32 - with a specified description
	dc.SendInt((int32)120, "item count");
	
	//Add a separator
	dc.AddSeparator();
	
	//Send a error text
	dc.SendMessage("An error has occured!", DC_ERROR);
	
	//Send a success
	dc.SendMessage("Finished!!!", DC_SUCCESS);
	
	return 0;
}